Skip to main content
`Ctrl`+`K`

# PEPLinearGetLinearization

Returns the coefficients that define the linearization of a quadratic eigenproblem.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPLinearGetLinearization(PEP pep,PetscReal *alpha,PetscReal *beta)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameters

- alpha - the first parameter of the linearization

- beta - the second parameter of the linearization

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPLINEAR`, `PEPLinearSetLinearization()`

## Level

advanced

## Location

src/pep/impls/linear/linear.c

## Implementations

PEPLinearGetLinearization_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages